Delicious Digg Facebook Favorites More Stumbleupon Twitter

Vigil@nce – FreeBSD : buffer overflow de atkbd

-

Ce bulletin a été rédigé par Vigil@nce : https://vigilance.fr/offre

SYNTHÈSE DE LA VULNÉRABILITÉ

Un attaquant peut provoquer un buffer overflow dans atkbd de FreeBSD, afin de mener un déni de service, et éventuellement d’exécuter du code avec les privilèges du système.

Produits concernés : FreeBSD, pfSense.

Gravité : 2/4.

Date création : 18/05/2016.

DESCRIPTION DE LA VULNÉRABILITÉ

Le système FreeBSD utilise le pilote atkbd pour gérer les claviers AT. Ce pilote est requis par les consoles syscons ou vt.

Cependant, si la taille des données envoyées à son ioctl est supérieure à la taille du tableau de stockage, un débordement se produit.

Un attaquant peut donc provoquer un buffer overflow dans atkbd de FreeBSD, afin de mener un déni de service, et éventuellement d’exécuter du code avec les privilèges du système.

ACCÈS AU BULLETIN VIGIL@NCE COMPLET

https://vigilance.fr/vulnerabilite/…

Source:: Global Security Mag

Text Widget

Aliquam ut tellus ligula. Nam blandit massa nec neque rutrum a euismod t ellus ultricies! Phasellus nulla tellus, fringilla quis tristique ornare, condi mentum non erat. Aliquam congue or nare varius.